com.verisign.epp.codec.contact

## Class EPPContactCheckCmd

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPCommand
  - - com.verisign.epp.codec.gen.EPPCheckCmd
    - - com.verisign.epp.codec.contact.EPPContactCheckCmd

- All Implemented Interfaces:
    EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

      public class EPPContactCheckCmd
      extends EPPCheckCmd

  Represents an EPP Contact <check> command, which is used to determine if a contact id is known to the server. In addition to the standard EPP command elements, the <check> command MUST contain a <contact:check> element that identifies the contact namespace and the location of the contact schema. The <contact:check> element MUST contain the following child elements:
  - One or more <contact:id> elements. The contact id is the the server-unique identifier for the contact. Use `getIds` and `setIds` to get and set the elements. Use `setId` to set an individual id.
  `EPPContactCheckResp` is the concrete `EPPReponse` associated with `EPPContactCheckCmd`.
  Version:
    $Revision: 1.2 $
  Author:
    $Author: jim $
  See Also:
    `EPPContactCheckResp`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPCommand

      `extensions, OP_APPROVE, OP_CANCEL, OP_QUERY, OP_REJECT, OP_REQUEST, transId, TYPE_CHECK, TYPE_CREATE, TYPE_DELETE, TYPE_INFO, TYPE_LOGIN, TYPE_LOGOUT, TYPE_POLL, TYPE_RENEW, TYPE_TRANSFER, TYPE_UPDATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPContactCheckCmd()` `EPPContactCheckCmd` default constructor.
    `EPPContactCheckCmd(java.lang.String aTransId, java.lang.String aId)` `EPPContactCheckCmd` constructor that will check an individual contact id.
    `EPPContactCheckCmd(java.lang.String aTransId, java.util.Vector someIds)` `EPPContactCheckCmd` constructor that will check a list of contact ids.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPContactCheckCmd`.
    `protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPContactCheckCmd` attributes from the aElement DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPContactCheckCmd` instance.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPContactCheckCmd` with this instance.
    `java.util.Vector` | `getIds()` Gets contact ids to check.
    `java.lang.String` | `getNamespace()` Gets the EPP command Namespace associated with `EPPContactCheckCmd`.
    `void` | `setId(java.lang.String aId)` Sets contact id to check.
    `void` | `setIds(java.util.Vector someIds)` Sets contact ids to check.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPCheckCmd

      `doGenDecode, doGenEncode, getType`

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPCommand

      `addExtension, decode, encode, getExtension, getExtension, getExtensions, getOp, getTransId, hasExtension, hasExtensions, hasTransId, setExtension, setExtensions, setTransId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPContactCheckCmd

          public EPPContactCheckCmd()

      `EPPContactCheckCmd` default constructor. It will set the ids attribute to an empty `Vector`.

    - #### EPPContactCheckCmd

          public EPPContactCheckCmd(java.lang.String aTransId,
                                    java.lang.String aId)

      `EPPContactCheckCmd` constructor that will check an individual contact id.
      Parameters:
        `aTransId` - Transaction Id associated with command.
        `aId` - Contact id to check

    - #### EPPContactCheckCmd

          public EPPContactCheckCmd(java.lang.String aTransId,
                                    java.util.Vector someIds)

      `EPPContactCheckCmd` constructor that will check a list of contact ids.
      Parameters:
        `aTransId` - Transaction Id associated with command.
        `someIds` - `Vector` of contact id `String`'s.

  - ### Method Detail

    - #### getNamespace

          public java.lang.String getNamespace()

      Gets the EPP command Namespace associated with `EPPContactCheckCmd`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Specified by:
        `getNamespace` in class `EPPCommand`
      Returns:
        `EPPContactMapFactory.NS`

    - #### doEncode

          protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPContactCheckCmd` instance.
      Specified by:
        `doEncode` in class `EPPCheckCmd`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPContactCheckCmd` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPContactCheckCmd` instance.

    - #### doDecode

          protected void doDecode(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the `EPPContactCheckCmd` attributes from the aElement DOM Element tree.
      Specified by:
        `doDecode` in class `EPPCheckCmd`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPContactCheckCmd` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPContactCheckCmd` with this instance.
      Overrides:
        `equals` in class `EPPCheckCmd`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        DOCUMENT ME!

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPContactCheckCmd`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPCommand`
      Returns:
        clone of `EPPContactCheckCmd`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `EPPCommand`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### setId

          public void setId(java.lang.String aId)

      Sets contact id to check.
      Parameters:
        `aId` - Id to check.

    - #### getIds

          public java.util.Vector getIds()

      Gets contact ids to check.
      Returns:
        `Vector` of contact id `String`'s.

    - #### setIds

          public void setIds(java.util.Vector someIds)

      Sets contact ids to check.
      Parameters:
        `someIds` - Ids to check.

Copyright © VeriSign Inc. All Rights Reserved.